Page MenuHomePhabricator

Code quality issues (tracking) [DO NOT USE: Superseded by #Technical-Debt].
Closed, InvalidPublic

Description

Bugzilla tracker for code quality issues and other technical debt.

Use the Technical-Debt tag instead.

Details

Commits
Unknown Object (Diffusion Commit)
Reference
bz700

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 6:58 PM
bzimport set Reference to bz700.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Oct 12 2004, 6:08 PM

Adding 'tracking' keyword.

Krinkle updated the task description. (Show Details)Dec 10 2014, 1:38 PM
Krinkle added a project: Technical-Debt.
Krinkle set Security to None.
Krinkle removed subscribers: Unknown Object (MLST), He7d3r, brion and 4 others.
Krinkle closed this task as Resolved.Dec 10 2014, 2:18 PM
Krinkle claimed this task.
Krinkle removed subtasks: T76006: code cleanup and refactoring of the mediawiki file page to be able to store structured data in it, T75970: Reimplement ToC generation (currently scattered in different classes) so skins can easier deal with it, T71939: Deprecate direct access to class variables, T71878: Remove 'apiScript' from $wgResourceLoaderSources, T73605: Create a generic container object that stores HTML and ResourceLoader modules, T73376: SpecialImport accesses $this->getConfig() in constructor, before context is set, T73355: Collection: Use of "toJSON" is deprecated. Use JSON.stringify instead (module "json" for polyfill)., T73323: CentralAuthUser::matchHash should only match the hash, not also update the password, T69989: [jquery.tipsy] Uses deprecated $.fn.live when using live option, T71334: BookManagerv2 should extend from JSONContent in core, T68185: [Regression] CentralAuth: Fix "User::addToDatabase: hit a key conflict", T68181: Wikibase: Fix "Internal error in ApiFormatXml::recXmlPrint: (sitelinks, ...) has integer keys without _element value.", T71258: $feedTitle = "$wgSitename - {$title} [$wgLanguageCode]" repeated in multiple places, T69738: MarkAsHelpful: Don't use global delegate event handlers, T72999: Make log_params always serialized (write a maintenance script for old logging rows), T71083: SpecialPagesWithProp uses implicit join, T64543: Code hygiene: Having a KeepGoingOverlay and KeepGoingDrawer is confusing, T66227: Use of mediawiki.api callback params is deprecated. Use the Promise instead., T70999: Deprecated: Use of SpecialRecentChangesFilters hook (used in FlaggedRevsUIHooks::addHideReviewedFilter) was deprecated in MediaWiki 1.23, T70998: ULS: Fix "JQMIGRATE: jQuery.fn.attr('selected')" in ext.uls.displaysettings.js, T72624: Consolidate page moving code in one place (Renameuser, GlobalRename, UserMerge), T62619: All repositories should pass jshint test, T62608: Have caller specify which type of mediawiki.ui button to use for HTMLForm submit, T60932: Get rid of $wgEnableNewpagesUserFilter, T64198: Mark window.$j as deprecated, T69160: Catchable fatal error: Argument 1 passed to StringPrefixSearch::titles() must be an array, null given, called PrefixSearch.php on line 149, T72462: CentralNotice: $wgNoticeCloseButton shouldn't load closeWindow19x19.png from upload.wikimedia.org, T62445: Move QueryPage.php to specialpage folder, T62435: importDump throws LocalisationCache warnings, T62403: Split JobDescription interface from Job class, T69107: Merge Mantle event emitter and OO.EventEmitter, T67438: CPB: Use of "tooltipAccessKeyRegexp" is deprecated. Use jquery.accessKeyLabel instead., T67428: Fix "JQMIGRATE: Use of jQuery.fn.data('events') is deprecated" in TimedMediaHandler, T65755: Remove RC_MOVE and RC_MOVE_OVER_REDIRECT rc_types, T60684: PHP Strict Standards: Only variables should be passed by reference in Renameuser.hooks.php on line 18, T67423: UploadWizard should not use iframe transport for upload_by_url requests to the wiki-own-API (FlickrUploading), T65728: ResourceLoader: User scripts should not execute in global scope, T62322: Remove button styling from mediawiki.ui, T67384: Use mediawiki.cookie instead of jquery.cookie in MediaWiki-specific scripts, T60615: Math creates FSFileBackend in deprecated parameters, T60613: EasyTimeline constructing FSFileBackend with deprecated parameters, T60614: FancyCaptcha constructs an FSFileBackend in deprecated way, T60610: Score constructs an FSBackend in a deprecated fashion, T62295: Namespace mw.MwEmbedSupport methods, T70510: Unused code in FundraisingChart, T62260: Deprecate/Remove Language::getExtraUserToggles, T60537: Make Special:GlobalBlocking use HTMLForm/FormSpecialPage, T60478: Improve interface for MediaHandlers to add JavaScript, T60479: MediaWiki's file class hierarchy is crazy, T63841: Re-examine API module permissions (isAllowed, isBlocked) checks, T58935: MWDeprecationWarning: Use of "mwEditButtons" property is deprecated. Use mw.toolbar instead, T67147: Implement a way for wikis to provide js and css that is loaded in all skins (including mobile), T67103: [EPIC] Hovercards: Test Coverage, T60215: Rename SpecialRedirectToSpecial class to something that doesn't imply being a working special page (it's an abstract class), T68646: Refactor out 'infinity' variants, T68635: MultimediaViewer: Usage of non-standard date format parsing with Moment.js is deprecated, T63581: ULS: ext.uls.inputsettings contains styles for ext.uls.ime, T60137: Remove SkinTemplateOutputPageBeforeExec hook, T58613: Cleanup code that handles comments in client, T65240: ResourceLoader: Remove support for 'startupScripts' and 'loaderScripts' feature, T60105: Deprecate and (in the future) remove all old ways of getting different action tokens, T58573: Code quality: Use oo.js and related utilities to make the code a lot simpler, T65183: Replace preg_replace /e with preg_replace_callback, T55248: Use OOJS for JavaScript inheritance in mw.UploadWizardDeed subclasses, T55245: Audit jQuery use in UploadWizard, T58504: BetaFeatures: Code quality - Nested P elements in HTMLTextBlockField, T58502: BetaFeatures: Convert to LESS, tear out SCSS comments, T58477: Pluginize fullscreen handling, T58473: Code quality: Abstract out a bunch of the resizing and thumbnail-fetching bits, T58474: Code quality: Abstract out the API calling methods, T61639: [DisableAccount] Convert to using FormSpecialPage, T66777: Semantic Forms: Fix "Internal error in ApiFormatXml::recXmlPrint: (errors, ...) has integer keys without _element value.", T58421: Code quality: Frontend code all in resources/, split by module not styles/scripts, T58418: Invalid HTML in Echo notification list pop-up, T58403: Use DOM append instead of z-index to position lightbox, T58392: BetaFeatures: Code quality - Load popup script in the same place as loading personal URL, T58385: Clean up UI element creation, T63267: Hovercards: Refactor & Breakdown ext.popups.core.js, T59801: [EPIC] Improving the skinning experience for developers (improve documentation etc.), T56724: Cleanup upload code, T53170: ULS tooltip loads before Vector's collapsible nav is applied, T64863: AntiSpoof: Error in debug log and API should not be localised, T64864: SpamBlacklist: Fix "PHP Warning: preg_match(): Compilation failed: nothing to repeat" in EmailBlacklist, T54894: The mw.user object needs to be rewritten, T66564: Move accessKeyLabel() out of mediawiki.util, T64849: ResourceLoader: Internal error when calling with load.php with invalid uselang, T64825: TimedMediaHandler uses deprecated "window.gM", T66534: Remaining "disable"s in variantname-*, T58080: Language::convertDoubleWidth() doesn't do all it claims (in its name), T56483: Document $IP is internal (not to change in LocalSettings), T56473: HtmlFormatter performs weird undocumented transforms, T61215: ConfirmCloseWindow should be in core, T59562: Stop using $wgTitle in LanguageConverter::autoConvert() subclasses, T52890: Various links to special pages are not constructed correctly, T49757: Move Thanks-specific code to Thanks extension, T61125: Remove SqlBagOStuff::createTables, T61113: Remove MediaWiki code marked for removal in a past release, T57921: Global variable $maintenance in doMaintenance.php may clash with other components, T54585: Revert <blockquote><div> hacks in content., T57912: Language#formatExpiry needs database connection, T62855: Flow: Move RC-exceptions into FlowActions.php, T62846: Deprecate Skin::bottomScripts(), move use of SkinAfterBottomScripts hook to OutputPage::getBottomScripts(), T47976: Footer cleanup uses window.onload, T59348: StringMatcher: deprecate mangle(), T51156: Add mediawiki.cookie module to allow reading and writing cookies with correct settings, T49544: <references/> list item must not wrap the text in <span>, T49504: $wgHandheldStyle not really useful - remove it?, T47795: Excessive noise in log files due to attempts to reach non-existent host, T44268: PHP Strict Standards: Static function 'singleton' should not be abstract, T44267: PHP Strict Standards: Static function 'getSoftwareLink' should not be abstract, T44240: LanguageConverter should not inspect global state to determine the variant, T47716: Password hashes should not be stored in live User objects, T44190: Rename WikiEditor classes with generic names to use mw- or mwe- prefixes or redefine them more complexly, T45971: PHP Warning: Invalid argument supplied for foreach() in ffs/PythonSingleFFS.php on line 101, T44167: PHP Fatal error: Call to a member function read() on a non-object in Skin.php, T56024: Locate and eradicate unnecessarily complex things that are unused, T57615: Fix missing and misplaced dependencies, T44151: Various ResourceLoader PHP Warnings, T44145: Catchable fatal error: Argument 2 passed to Parser::parse() must be an instance of Title, null given, called in /www/dev.translatewiki.net/w/includes/OutputPage.php on line 1484, T44054: ClickTracking: Don't use deprecated wfGenerateToken(), T50802: formatNum output should be escaped, T52310: wikibits: Wrap mwCustomEditButtons in mw.log.deprecate, T50714: Implement FlaggedRevs flyout box with CSS instead of JavaScript, T42342: User::newFromId should not assume ID exists, T57430: Use FormSpecialPage rather than just raw HTMLForm in a special page, T49075: Evaluate which resource loader modules really need position => top, T50641: SpecialWatchlist and SpecialRecentChanges have too much duplicated divergent code, T52193: collapsibleTabs code cleanup: null != undefined, undefined variables passed to .data(), T50581: refactor upload code a bit for use with extensions, T42166: Fatal error: Call to a member function bind() on a non-object in UploadBase.php, T48853: mediawiki.jqueryMsg really should be default and merged with the mediawiki.Message() code, T43671: PHP Deprecation: Assigning by reference ("=&") should be removed, T47161: Remove all non-trivial parsers in jquery.tablesorter, T48816: Inappropriate things being done in Title::invalidateCache(), T53834: ParserFunctions call to mb_substr() generates lots of warnings, T43609: Exception: User::addToDatabase: hit a key conflict attempting to insert a user row, but then it doesn't exist when we select it!, T48770: Rewrite jobs-loop.sh in a proper programming language, T51987: UploadWizard has some pretty awful code in places (tracking), T41972: jQuery 1.8.1 regressions (tracking), T43569: [Dynamic Section Loading] Stop parsing HTML twice, T48724: Improve the Page: pages storage system, T51935: Browser freezes on loading a large page with UniversalLanguageSelector (ULS), T50283: Fixup hardcoded usages of "User:" in CentralAuth, T45295: [Task] Keyword 'use' inconsistency for php namespaces, T48616: ProofreadPage extension needs to be refactored, T48596: Remove MessageGroup::getNamespace() method, T48592: User::leaveUserMessage() still in UploadFromUrlJob.php, T50207: Remove TUX PHP code from Special:Translate in favor of JS code, T43410: PHP Notice: Undefined variable: content in extensions/CentralNotice/special/SpecialBannerLoader.php on line 58, T43411: PHP Notice: Undefined offset: -1 in extensions/CentralNotice/includes/BannerChooser.php on line 41, T48578: Refactor the edition of Page: pages JavaScript module, T48577: [Regression] Fatal error: Call to a member function getFullText() on a non-object in EducationProgram/includes/pagers/ArticleTable.php, T46907: ResourceLoader: Invalid argument supplied for foreach, T51799: The SectionEditLinks function not working at all, T38781: Collection: Call to a member function getText() on a non-object, T43335: Notice: Undefined offset: -1 in mediawiki/languages/Language.php on line 887, T43337: Fatal error: Call to a member function msg() on a non-object at Preferences.php, T50108: Separate breadcrumb functionality from group selector module, T40222: UploadBase::checkWarnings could throw exception on null object access, T48482: GitInfo.php (used by Special:Version) should use DIRECTORY_SEPARATOR (PHP defined constant) instead of hardcoded "/", T43299: Cleanup Math-related code from core, T41647: mw.Api.errors contains api warnings and mw.Api.warnings is incomplete, T50064: Don't include mediaWiki_htmlEmitter in jqueryMsg output, T40167: extract2.php: Get rid of no longer used "$1 portal" parser, T48434: Make all PHPUnit test providers public static, T48437: Inconsistent font usage in MediaWiki, T43259: Banner content code reuse is lower than it should be, T45071: Collection: Call to a member function getTimestamp() on a non-object, T48394: Clean up the code in ChangesList, T41521: Search button uses deprecated attributes width and height, T48301: Notice: Undefined property: CentralAuthUser::$mHomeWiki, T46610: [DPLforum]: Fixup raw SQL building, T44922: IE7/test2wiki: "Syntax error" upon clicking UW link, T39959: Replace hardcoded "</$element>" in XML::tags by closeElement($element), T39957: replace php_sapi_name() with PHP_SAPI, T43041: Collection: Call to a member function getFullURL() on a non-object, T44865: 238 line long mammoth method without docs, T41365: wfMakeUrlIndexes does not validate input, T44837: AFT uses dangerously generic class names like 'buttons', T39836: ProofreadPage uses too many global variables in JavaScript, T42869: API has 2 methods of setting cache mode, T46385: The situation with $.collapsibleTabs and its Vector ext. counterpart sucks badly, T34607: User::newFromName should return null instead of false on invalid input, T44662: SpecialBlockList throwing exception on 1.21wmf5, T44649: PHP Fatal error: Call to a member function isLocal() on a non-object in Title.php, T31328: jquery.textSelection in core hardcodes checks for WikiEditor's iframe, T46231: Gadgets tab on Special:Preferences badly formatted, T44510: Code coverage extremely low - technical debt, T44507: ExternalChangesLine technical debt, T31169: PHP Sucks, T44461: No database class but LoadBalancer.php:741 has $conn = new Database, T29562: Make $wgVersion a constant, T27782: Migrate the rest of the maintenance scripts to subclass maintenance, T30986: the code to normalize widths of images in Linker is scary and really belongs somewhere else., T42542: Passing constant via reference in Title.php, T32575: Make sure all callers to functions that require __METHOD__ parameter pass it, T30863: Remove references to code deprecated before 1.17 in 1.18, T39238: Duplicate code in SiteConfiguration, T39195: CategoryViewer has $from defined as String but is used later as array, T37674: Clean up UserrightsPage::userCanChangeRights, T32410: Remove deprecated $wgFilterCallback from core, T27517: Assignment in conditions should be avoided, T29161: Check if Status::isGood() and Status::isOk() are used appropriately in FileRepo, T35837: Set $wgLegacyJavaScriptGlobals = false by default, T27405: Why are the parser tests editing my dev wiki?, T28973: Change all direct member variable access calls to get methods, T28894: Kill $wgSkinExtensionFunctions, T28898: CreateRedirect extension needs code cleanup, T38902: Refactor DifferenceEngine et.al. to make parts reusable, T25307: Send $wgTitle to the fiery pit from whence it came, T28764: ef* functions and $egVars to wf* functions and $wgVars, T28753: Skins clutter Debug output since they aren't in the AutoLoader, T25234: Remove usages of deprecated Linker calls from core, T28699: Allow method blacklisting in doxygen call graphs, T28682: Add options parameter to Database::delete(), T28670: Remove direct calls to Database::query() and use inbuilt methods instead., T28605: Use strtr instead of str_replace when possible, T28534: Tidy up, and refactor out common code in ApiParse/ApiQueryRevisions, T26853: Kill failFunction, T28496: Remove use of PHP extract() function (use explicit assignment), T26712: Remove superfluous db freeResult calls, T26711: MV_EditPageAjax.php uses deprecated LogReader and LogViewer, T28394: Missing Indexes, Inefficient queries and alike (tracking), T26687: Clean up require_once()'s of autoloaded files, T28333: Constructors calling grandparent constructors, T28306: Cleanup extensions that include jquery (and common plugins) themselves, T29877: Parser tests generate too many DB queries, T28220: There are too many files in the root of phase3/includes, T26479: CodeReview has many inefficient queries, T31524: Rename RequestContext::getLang to getLanguage, T14769: Preemptively fix possible weak type-checking errors, T14710: Classes like Parser should use $mTitle member rather than $wgTitle, T16413: Code Cleanup in RecentChange.php, T14615: Clean up Article::doRollback, T13013: Installer database driver detection needs rewriting for robustness, T16290: E_STRICT in Block.php, T12932: Special:Log should use a timestamp-based pager, T26159: Remove uses of the error suppression operator, T12663: Linker::userToolLinks and friends should not require a user ID, T20892: Deprecated Article::updateArticle still used in core, T20891: Deprecated Article::insertNewArticle still used in core, T14202: PHP Strict Standards issues, T20855: require commandLine.inc/Maintenance.php properly, T10944: The deprecated is_a() function is used in StubObjects.php, T17700: Separate out and clean up account creation logic in MediaWiki core, T9357: Make supposedly static methods of Skin actually static, T12507: Messages should determine their formatting, not their caller, T12512: Separate logging.log_params into a new table, T15878: Article class should use Article->getDB consistently, T14131: Names given to system messages should follow a single naming covention, T20698: Use file.inc or file.php, not file.inc.php, T12317: Remove includes/templates/Userlogin.php, use HTMLForm class in includes/SpecialUserlogin.php instead, T20654: EditPage.php needs rewrite, T8872: Make Monobook.php more readable, T8835: Please delete the getTemplateArgs() method from Parser.php if it is not called, T8777: Remove PHP 4 compat cruft, T7176: Remove use of `@access`, `@protected` and `@private` on public methods in MediaWiki, T5647: Circular require_once, T11977: Move isNamespaceProtected() and getRestrictionLevels() methods into PermissionManager., T11982: Encapsulate wgCanonicalNamespaceNames, T11968: Reduce use of global and public variables, T3805: new User() objects see undefined $wgContLang due to early call of loadfromsession() in Setup.php, T3778: Watchlist says "120000 total pages edited since cutoff", T3659: Redundant caseless modifier in Parser.php, T10141: Cleanup of Parser::doTableStuff, T13558: WebRequest: remove magic_quotes cruft, T5064: Refactor EditPage::editForm, T10023: Migrate to PHP 5 proper, T4931: PHP 4.4.0 generates warning for reference variables, T9973: Redundant cache expiration check in Language::loadLocalisation, T4885: PHP 5.1 fatal errors caused by reference passing, T9964: Better errorhandling in ExprParser, T4841: use of $this->loggedin inconsistant in SkinTemplate.php (with patch), T4812: Special:Import uses obsolete call-by-reference syntax, T2800: Add "How to cite this article" link, T13285: Improper handling of invalid titles in some special pages, T4517: Article::updateArticle should not redirect (UI), T4503: phase3/maintenance/convertLinks.inc attempted to be included twice, T2699: Write unit tests for various bits of code (PHPUnit), T4498: Redundancies in user group rights, T4493: QueryPage.php is somewhat messy, T2696: Several files refer to namespaces by number instead of NS_MAIN, etc., T4502: Removing redundant messages from the language files, T4468: The code that generates the namespace form for 'Special:' Contributions, Allpages and Recentchanges should be merged, T4421: Uninitialised array entries in $wgNamespacesWithSubpages,wgNamespacesToBeSearchedDefault, T2578: rename $wgDisableUploads into $wgEnableUploads (all modules), T4069: Merge the LanguageUtf8 class into the Language class, T4006: Use (un)serialize in encodeOptions() and ecodeOptions(), T9405: Make Linker methods static, T11217: Skin.php is missing a wfProfileOut call, T11220: Remove table_exists() function in install-utils.inc, T2001: [DO NOT USE] Documentation is out of date, incomplete (tracking) [superseded by #Documentation], T11226: Export should use the table "page_restrictions" and not the field of the table "page", T5692: Unused local variables, unused globals declarations, etc. in MediaWiki.

Use the Technical-Debt tag instead.

Please link the discussion about the deprecation of this tracking bug.

Please link the discussion about the deprecation of this tracking bug.

T75892

epriestley added a commit: Unknown Object (Diffusion Commit).Mar 4 2015, 8:20 AM
Danny_B renamed this task from Code quality issues (tracking) to Code quality issues (tracking) [DO NOT USE: Superseded by #Technical-Debt tag]..Feb 14 2016, 2:19 AM
Danny_B moved this task from Tag to Transition completed / Archived on the Tracking-Neverending board.
Danny_B renamed this task from Code quality issues (tracking) [DO NOT USE: Superseded by #Technical-Debt tag]. to Code quality issues (tracking) [DO NOT USE: Superseded by #Technical-Debt]..Jul 11 2016, 12:15 AM
Danny_B changed the task status from Resolved to Invalid.
Danny_B removed Krinkle as the assignee of this task.
Danny_B lowered the priority of this task from Low to Lowest.
Danny_B removed a project: MediaWiki-General.